Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/RungeKuttaIntegrator.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/RungeKuttaIntegrator.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/RungeKuttaIntegrator.cs	(revision 4068)
@@ -1,135 +1,122 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Layout.Force
-{
+namespace Netron.Diagramming.Core.Layout.Force {
 
-    ///<summary>
-    /// Updates velocity and position data using the 4th-Order Runge-Kutta method.
-    /// It is slower but more accurate than other techniques such as Euler's Method.
-    /// The technique requires re-evaluating forces 4 times for a given timestep.
-    /// </summary>
-    public class RungeKuttaIntegrator : IIntegrator
-    {
+  ///<summary>
+  /// Updates velocity and position data using the 4th-Order Runge-Kutta method.
+  /// It is slower but more accurate than other techniques such as Euler's Method.
+  /// The technique requires re-evaluating forces 4 times for a given timestep.
+  /// </summary>
+  public class RungeKuttaIntegrator : IIntegrator {
 
 
-        /// <summary>
-        /// Integrates the specified simulation.
-        /// </summary>
-        /// <param name="sim">The sim.</param>
-        /// <param name="timestep">The timestep.</param>
-        public void Integrate(ForceSimulator sim, long timestep)
-        {
-            float speedLimit = sim.SpeedLimit;
-            float vx, vy, v, coeff;
-            float[,] k, l;
+    /// <summary>
+    /// Integrates the specified simulation.
+    /// </summary>
+    /// <param name="sim">The sim.</param>
+    /// <param name="timestep">The timestep.</param>
+    public void Integrate(ForceSimulator sim, long timestep) {
+      float speedLimit = sim.SpeedLimit;
+      float vx, vy, v, coeff;
+      float[,] k, l;
 
-            foreach (ForceItem item in sim.Items)
-            {
-                coeff = timestep / item.Mass;
-                k = item.RungeKuttaTemp1;
-                l = item.RungeKuttaTemp2;
-                item.PreviousLocation[0] = item.Location[0];
-                item.PreviousLocation[1] = item.Location[1];
-                k[0, 0] = timestep * item.Velocity[0];
-                k[0, 1] = timestep * item.Velocity[1];
-                l[0, 0] = coeff * item.Force[0];
-                l[0, 1] = coeff * item.Force[1];
+      foreach (ForceItem item in sim.Items) {
+        coeff = timestep / item.Mass;
+        k = item.RungeKuttaTemp1;
+        l = item.RungeKuttaTemp2;
+        item.PreviousLocation[0] = item.Location[0];
+        item.PreviousLocation[1] = item.Location[1];
+        k[0, 0] = timestep * item.Velocity[0];
+        k[0, 1] = timestep * item.Velocity[1];
+        l[0, 0] = coeff * item.Force[0];
+        l[0, 1] = coeff * item.Force[1];
 
-                // Set the position to the new predicted position
-                item.Location[0] += 0.5f * k[0, 0];
-                item.Location[1] += 0.5f * k[0, 1];
-            }
+        // Set the position to the new predicted position
+        item.Location[0] += 0.5f * k[0, 0];
+        item.Location[1] += 0.5f * k[0, 1];
+      }
 
-            // recalculate forces
-            sim.Accumulate();
+      // recalculate forces
+      sim.Accumulate();
 
-            foreach (ForceItem item in sim.Items)
-            {
-                coeff = timestep / item.Mass;
-                k = item.RungeKuttaTemp1;
-                l = item.RungeKuttaTemp2;
-                vx = item.Velocity[0] + .5f * l[0, 0];
-                vy = item.Velocity[1] + .5f * l[0, 1];
-                v = (float)Math.Sqrt(vx * vx + vy * vy);
-                if (v > speedLimit)
-                {
-                    vx = speedLimit * vx / v;
-                    vy = speedLimit * vy / v;
-                }
-                k[1, 0] = timestep * vx;
-                k[1, 1] = timestep * vy;
-                l[1, 0] = coeff * item.Force[0];
-                l[1, 1] = coeff * item.Force[1];
+      foreach (ForceItem item in sim.Items) {
+        coeff = timestep / item.Mass;
+        k = item.RungeKuttaTemp1;
+        l = item.RungeKuttaTemp2;
+        vx = item.Velocity[0] + .5f * l[0, 0];
+        vy = item.Velocity[1] + .5f * l[0, 1];
+        v = (float)Math.Sqrt(vx * vx + vy * vy);
+        if (v > speedLimit) {
+          vx = speedLimit * vx / v;
+          vy = speedLimit * vy / v;
+        }
+        k[1, 0] = timestep * vx;
+        k[1, 1] = timestep * vy;
+        l[1, 0] = coeff * item.Force[0];
+        l[1, 1] = coeff * item.Force[1];
 
-                // Set the position to the new predicted position
-                item.Location[0] = item.PreviousLocation[0] + 0.5f * k[1, 0];
-                item.Location[1] = item.PreviousLocation[1] + 0.5f * k[1, 1];
-            }
+        // Set the position to the new predicted position
+        item.Location[0] = item.PreviousLocation[0] + 0.5f * k[1, 0];
+        item.Location[1] = item.PreviousLocation[1] + 0.5f * k[1, 1];
+      }
 
-            // recalculate forces
-            sim.Accumulate();
+      // recalculate forces
+      sim.Accumulate();
 
-            foreach (ForceItem item in sim.Items)
-            {
-                coeff = timestep / item.Mass;
-                k = item.RungeKuttaTemp1;
-                l = item.RungeKuttaTemp2;
-                vx = item.Velocity[0] + .5f * l[1, 0];
-                vy = item.Velocity[1] + .5f * l[1, 1];
-                v = (float)Math.Sqrt(vx * vx + vy * vy);
-                if (v > speedLimit)
-                {
-                    vx = speedLimit * vx / v;
-                    vy = speedLimit * vy / v;
-                }
-                k[2, 0] = timestep * vx;
-                k[2, 1] = timestep * vy;
-                l[2, 0] = coeff * item.Force[0];
-                l[2, 1] = coeff * item.Force[1];
+      foreach (ForceItem item in sim.Items) {
+        coeff = timestep / item.Mass;
+        k = item.RungeKuttaTemp1;
+        l = item.RungeKuttaTemp2;
+        vx = item.Velocity[0] + .5f * l[1, 0];
+        vy = item.Velocity[1] + .5f * l[1, 1];
+        v = (float)Math.Sqrt(vx * vx + vy * vy);
+        if (v > speedLimit) {
+          vx = speedLimit * vx / v;
+          vy = speedLimit * vy / v;
+        }
+        k[2, 0] = timestep * vx;
+        k[2, 1] = timestep * vy;
+        l[2, 0] = coeff * item.Force[0];
+        l[2, 1] = coeff * item.Force[1];
 
-                // Set the position to the new predicted position
-                item.Location[0] = item.PreviousLocation[0] + 0.5f * k[2, 0];
-                item.Location[1] = item.PreviousLocation[1] + 0.5f * k[2, 1];
-            }
+        // Set the position to the new predicted position
+        item.Location[0] = item.PreviousLocation[0] + 0.5f * k[2, 0];
+        item.Location[1] = item.PreviousLocation[1] + 0.5f * k[2, 1];
+      }
 
-            // recalculate forces
-            sim.Accumulate();
+      // recalculate forces
+      sim.Accumulate();
 
-            foreach (ForceItem item in sim.Items)
-            {
-                coeff = timestep / item.Mass;
-                k = item.RungeKuttaTemp1;
-                l = item.RungeKuttaTemp2;
-                float[] p = item.PreviousLocation;
-                vx = item.Velocity[0] + l[2, 0];
-                vy = item.Velocity[1] + l[2, 1];
-                v = (float)Math.Sqrt(vx * vx + vy * vy);
-                if (v > speedLimit)
-                {
-                    vx = speedLimit * vx / v;
-                    vy = speedLimit * vy / v;
-                }
-                k[3, 0] = timestep * vx;
-                k[3, 1] = timestep * vy;
-                l[3, 0] = coeff * item.Force[0];
-                l[3, 1] = coeff * item.Force[1];
-                item.Location[0] = p[0] + (k[0, 0] + k[3, 0]) / 6.0f + (k[1, 0] + k[2, 0]) / 3.0f;
-                item.Location[1] = p[1] + (k[0, 1] + k[3, 1]) / 6.0f + (k[1, 1] + k[2, 1]) / 3.0f;
+      foreach (ForceItem item in sim.Items) {
+        coeff = timestep / item.Mass;
+        k = item.RungeKuttaTemp1;
+        l = item.RungeKuttaTemp2;
+        float[] p = item.PreviousLocation;
+        vx = item.Velocity[0] + l[2, 0];
+        vy = item.Velocity[1] + l[2, 1];
+        v = (float)Math.Sqrt(vx * vx + vy * vy);
+        if (v > speedLimit) {
+          vx = speedLimit * vx / v;
+          vy = speedLimit * vy / v;
+        }
+        k[3, 0] = timestep * vx;
+        k[3, 1] = timestep * vy;
+        l[3, 0] = coeff * item.Force[0];
+        l[3, 1] = coeff * item.Force[1];
+        item.Location[0] = p[0] + (k[0, 0] + k[3, 0]) / 6.0f + (k[1, 0] + k[2, 0]) / 3.0f;
+        item.Location[1] = p[1] + (k[0, 1] + k[3, 1]) / 6.0f + (k[1, 1] + k[2, 1]) / 3.0f;
 
-                vx = (l[0, 0] + l[3, 0]) / 6.0f + (l[1, 0] + l[2, 0]) / 3.0f;
-                vy = (l[0, 1] + l[3, 1]) / 6.0f + (l[1, 1] + l[2, 1]) / 3.0f;
-                v = (float)Math.Sqrt(vx * vx + vy * vy);
-                if (v > speedLimit)
-                {
-                    vx = speedLimit * vx / v;
-                    vy = speedLimit * vy / v;
-                }
-                item.Velocity[0] += vx;
-                item.Velocity[1] += vy;
-            }
+        vx = (l[0, 0] + l[3, 0]) / 6.0f + (l[1, 0] + l[2, 0]) / 3.0f;
+        vy = (l[0, 1] + l[3, 1]) / 6.0f + (l[1, 1] + l[2, 1]) / 3.0f;
+        v = (float)Math.Sqrt(vx * vx + vy * vy);
+        if (v > speedLimit) {
+          vx = speedLimit * vx / v;
+          vy = speedLimit * vy / v;
         }
+        item.Velocity[0] += vx;
+        item.Velocity[1] += vy;
+      }
+    }
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/Spring.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/Spring.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/Spring.cs	(revision 4068)
@@ -1,131 +1,114 @@
-using System;
 using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Layout.Force
-{
+namespace Netron.Diagramming.Core.Layout.Force {
+  /// <summary>
+  /// Represents a spring in a force simulation.
+  /// </summary>
+  public class Spring {
+    #region Fields
+    private static SpringFactory mFactory = new SpringFactory();
+    private ForceItem item1;
+    private ForceItem item2;
+    private float length;
+    private float coeff;
+
+    #endregion
+
+    #region Properties
     /// <summary>
-    /// Represents a spring in a force simulation.
+    /// Retrieve the SpringFactory instance, which serves as an object pool
+    /// for Spring instances.
     /// </summary>
-    public class Spring
-    {
-        #region Fields
-        private static SpringFactory mFactory = new SpringFactory();
-        private ForceItem item1;
-        private ForceItem item2;
-        private float length;
-        private float coeff;
+    /// <value>The spring factory.</value>
+    public static SpringFactory Factory {
+      get {
+        return mFactory;
+      }
+    }
+    /// <summary> 
+    /// The first ForceItem endpoint 
+    /// </summary>
 
-        #endregion
+    public ForceItem Item1 {
+      get { return item1; }
+      set { item1 = value; }
+    }
+    /// <summary>
+    /// The second ForceItem endpoint 
+    /// </summary> 
+    public ForceItem Item2 {
+      get { return item2; }
+      set { item2 = value; }
+    }
+    /// <summary> 
+    /// The spring's resting length 
+    /// </summary>
+    public float Length {
+      get { return length; }
+      set { length = value; }
+    }
+    /// <summary> 
+    /// The spring tension co-efficient
+    /// </summary>
+    public float Coeff {
+      get { return coeff; }
+      set { coeff = value; }
+    }
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Retrieve the SpringFactory instance, which serves as an object pool
-        /// for Spring instances.
-        /// </summary>
-        /// <value>The spring factory.</value>
-        public static SpringFactory Factory
-        {
-            get
-            {
-                return mFactory;
-            }
+    #region Constructor
+    /// <summary>
+    /// Create a new Spring instance
+    ///<param name="fi1">  the first ForceItem endpoint</param>
+    /// <param name="fi2"> the second ForceItem endpoint          </param>
+    ///  <param name="k">the spring tension co-efficient                             </param>
+    ///  <param name="len">the spring's resting length                                               </param>
+    /// </summary>
+    public Spring(ForceItem fi1, ForceItem fi2, float k, float len) {
+      item1 = fi1;
+      item2 = fi2;
+      coeff = k;
+      length = len;
+    }
+
+    #endregion
+
+    #region Classes
+    /// <summary>
+    /// The SpringFactory is responsible for generating Spring instances
+    /// and maintaining an object pool of Springs to reduce garbage collection
+    /// overheads while force simulations are running.
+    /// </summary>
+    public sealed class SpringFactory {
+      public const int Capacity = 5000;
+      private List<Spring> springs = new List<Spring>(Capacity);
+
+      /// <summary>
+      /// Get a Spring instance and set it to the given parameters.
+      /// </summary>
+      public Spring getSpring(ForceItem f1, ForceItem f2, float k, float length) {
+        if (springs.Count > 0) {
+          Spring s = springs[springs.Count - 1];
+          springs.Remove(s);
+          s.Item1 = f1;
+          s.Item2 = f2;
+          s.Coeff = k;
+          s.Length = length;
+          return s;
+        } else {
+          return new Spring(f1, f2, k, length);
         }
-        /// <summary> 
-        /// The first ForceItem endpoint 
-        /// </summary>
-
-        public ForceItem Item1
-        {
-            get { return item1; }
-            set { item1 = value; }
-        }
-        /// <summary>
-        /// The second ForceItem endpoint 
-        /// </summary> 
-        public ForceItem Item2
-        {
-            get { return item2; }
-            set { item2 = value; }
-        }
-        /// <summary> 
-        /// The spring's resting length 
-        /// </summary>
-        public float Length
-        {
-            get { return length; }
-            set { length = value; }
-        }
-        /// <summary> 
-        /// The spring tension co-efficient
-        /// </summary>
-        public float Coeff
-        {
-            get { return coeff; }
-            set { coeff = value; }
-        }
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        /// Create a new Spring instance
-        ///<param name="fi1">  the first ForceItem endpoint</param>
-        /// <param name="fi2"> the second ForceItem endpoint          </param>
-        ///  <param name="k">the spring tension co-efficient                             </param>
-        ///  <param name="len">the spring's resting length                                               </param>
-        /// </summary>
-        public Spring(ForceItem fi1, ForceItem fi2, float k, float len)
-        {
-            item1 = fi1;
-            item2 = fi2;
-            coeff = k;
-            length = len;
-        }
-
-        #endregion
-
-        #region Classes
-        /// <summary>
-        /// The SpringFactory is responsible for generating Spring instances
-        /// and maintaining an object pool of Springs to reduce garbage collection
-        /// overheads while force simulations are running.
-        /// </summary>
-        public sealed class SpringFactory
-        {
-            public const int Capacity = 5000;
-            private List<Spring> springs = new List<Spring>(Capacity);
-
-            /// <summary>
-            /// Get a Spring instance and set it to the given parameters.
-            /// </summary>
-            public Spring getSpring(ForceItem f1, ForceItem f2, float k, float length)
-            {
-                if (springs.Count > 0)
-                {
-                    Spring s = springs[springs.Count - 1];
-                    springs.Remove(s);
-                    s.Item1 = f1;
-                    s.Item2 = f2;
-                    s.Coeff = k;
-                    s.Length = length;
-                    return s;
-                }
-                else
-                {
-                    return new Spring(f1, f2, k, length);
-                }
-            }
-            /// <summary>
-            /// Reclaim a Spring into the object pool.
-            /// </summary>
-            public void reclaim(Spring s)
-            {
-                s.Item1 = null;
-                s.Item2 = null;
-                if (springs.Count < Capacity)
-                    springs.Add(s);
-            }
-        }
-        #endregion
+      }
+      /// <summary>
+      /// Reclaim a Spring into the object pool.
+      /// </summary>
+      public void reclaim(Spring s) {
+        s.Item1 = null;
+        s.Item2 = null;
+        if (springs.Count < Capacity)
+          springs.Add(s);
+      }
     }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/SpringForce.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/SpringForce.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Force/SpringForce.cs	(revision 4068)
@@ -1,107 +1,95 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core.Layout.Force
-{
+namespace Netron.Diagramming.Core.Layout.Force {
+
+  /// <summary>
+  ///  Force function that computes the force acting on ForceItems due to a  given Spring.
+  /// </summary>
+  public class SpringForce : AbstractForce {
+
+    #region Fields
+    Random rnd = new Random();
+    private static String[] pnames = new String[] { "SpringCoefficient", "DefaultSpringLength" };
+    public static float DefaultSpriongCoeff = 1E-4f;
+    public static float DefaultMaxSpringCoeff = 1E-3f;
+    public static float DefaultMinSpringCoeff = 1E-5f;
+    public static float DefaultSpringLength = 50;
+    public static float DefaultMinSpringLength = 0;
+    public static float DefaultMaxSpringLength = 200;
+    public static int SpringCoeff = 0;
+    public static int SpringLength = 1;
+
+    #endregion
+
+    #region Properties
+    /// <summary>
+    /// Gets a value indicating whether [spring force].
+    /// </summary>
+    /// <value><c>true</c> if [spring force]; otherwise, <c>false</c>.</value>
+    public override bool IsSpringForce {
+      get {
+        return true;
+      }
+    }
+    /// <summary>
+    /// Gets the parameter names.
+    /// </summary>
+    /// <value></value>
+    /// <returns></returns>
+    protected override String[] ParameterNames {
+      get {
+        return pnames;
+      }
+    }
+    #endregion
+
+    #region Constructor
+    /// <summary>
+    ///  Create a new SpringForce.
+    /// </summary>
+    /// <param name="springCoeff"> the default spring co-efficient to use. This will be used if the spring's own co-efficient is less than zero..</param>
+    /// <param name="defaultLength">the default spring length to use. This will be used if the spring's own length is less than zero.</param>
+    public SpringForce(float springCoeff, float defaultLength) {
+      parms = new float[] { springCoeff, defaultLength };
+      minValues = new float[] { DefaultMinSpringCoeff, DefaultMinSpringLength };
+      maxValues = new float[] { DefaultMaxSpringCoeff, DefaultMaxSpringLength };
+    }
 
     /// <summary>
-    ///  Force function that computes the force acting on ForceItems due to a  given Spring.
+    /// Constructs a new SpringForce instance with default parameters.
     /// </summary>
-    public class SpringForce : AbstractForce
-    {
+    public SpringForce()
+      : this(DefaultSpriongCoeff, DefaultSpringLength) {
+    }
+    #endregion
 
-        #region Fields
-        Random rnd = new Random();
-        private static String[] pnames = new String[] { "SpringCoefficient", "DefaultSpringLength" };
-        public static float DefaultSpriongCoeff = 1E-4f;
-        public static float DefaultMaxSpringCoeff = 1E-3f;
-        public static float DefaultMinSpringCoeff = 1E-5f;
-        public static float DefaultSpringLength = 50;
-        public static float DefaultMinSpringLength = 0;
-        public static float DefaultMaxSpringLength = 200;
-        public static int SpringCoeff = 0;
-        public static int SpringLength = 1;
+    #region Methdos
+    /// <summary>
+    /// Gets the force.
+    /// </summary>
+    /// <param name="s">The s.</param>
+    public override void GetForce(Spring s) {
+      ForceItem item1 = s.Item1;
+      ForceItem item2 = s.Item2;
+      float length = (s.Length < 0 ? parms[SpringLength] : s.Length);
+      float x1 = item1.Location[0], y1 = item1.Location[1];
+      float x2 = item2.Location[0], y2 = item2.Location[1];
+      float dx = x2 - x1, dy = y2 - y1;
+      float r = (float)Math.Sqrt(dx * dx + dy * dy);
+      if (r == 0.0) {
+        dx = ((float)rnd.NextDouble() - 0.5f) / 50.0f;
+        dy = ((float)rnd.NextDouble() - 0.5f) / 50.0f;
+        r = (float)Math.Sqrt(dx * dx + dy * dy);
+      }
+      float d = r - length;
+      float coeff = (s.Coeff < 0 ? parms[SpringCoeff] : s.Coeff) * d / r;
+      item1.Force[0] += coeff * dx;
+      item1.Force[1] += coeff * dy;
+      item2.Force[0] += -coeff * dx;
+      item2.Force[1] += -coeff * dy;
+    }
 
-        #endregion
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Gets a value indicating whether [spring force].
-        /// </summary>
-        /// <value><c>true</c> if [spring force]; otherwise, <c>false</c>.</value>
-        public override bool IsSpringForce
-        {
-            get
-            {
-                return true;
-            }
-        }
-        /// <summary>
-        /// Gets the parameter names.
-        /// </summary>
-        /// <value></value>
-        /// <returns></returns>
-        protected override String[] ParameterNames
-        {
-            get
-            {
-                return pnames;
-            }
-        }
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        ///  Create a new SpringForce.
-        /// </summary>
-        /// <param name="springCoeff"> the default spring co-efficient to use. This will be used if the spring's own co-efficient is less than zero..</param>
-        /// <param name="defaultLength">the default spring length to use. This will be used if the spring's own length is less than zero.</param>
-        public SpringForce(float springCoeff, float defaultLength)
-        {
-            parms = new float[] { springCoeff, defaultLength };
-            minValues = new float[] { DefaultMinSpringCoeff, DefaultMinSpringLength };
-            maxValues = new float[] { DefaultMaxSpringCoeff, DefaultMaxSpringLength };
-        }
-
-        /// <summary>
-        /// Constructs a new SpringForce instance with default parameters.
-        /// </summary>
-        public SpringForce()
-            : this(DefaultSpriongCoeff, DefaultSpringLength)
-        {
-        } 
-        #endregion
-
-        #region Methdos
-        /// <summary>
-        /// Gets the force.
-        /// </summary>
-        /// <param name="s">The s.</param>
-        public override void GetForce(Spring s)
-        {
-            ForceItem item1 = s.Item1;
-            ForceItem item2 = s.Item2;
-            float length = (s.Length < 0 ? parms[SpringLength] : s.Length);
-            float x1 = item1.Location[0], y1 = item1.Location[1];
-            float x2 = item2.Location[0], y2 = item2.Location[1];
-            float dx = x2 - x1, dy = y2 - y1;
-            float r = (float)Math.Sqrt(dx * dx + dy * dy);
-            if (r == 0.0)
-            {
-                dx = ((float)rnd.NextDouble() - 0.5f) / 50.0f;
-                dy = ((float)rnd.NextDouble() - 0.5f) / 50.0f;
-                r = (float)Math.Sqrt(dx * dx + dy * dy);
-            }
-            float d = r - length;
-            float coeff = (s.Coeff < 0 ? parms[SpringCoeff] : s.Coeff) * d / r;
-            item1.Force[0] += coeff * dx;
-            item1.Force[1] += coeff * dy;
-            item2.Force[0] += -coeff * dx;
-            item2.Force[1] += -coeff * dy;
-        }
-
-        #endregion
-
-    }
+  }
 }
